package com.huimv.admin.service;

import com.huimv.admin.common.utils.Result;
import com.huimv.admin.entity.CameraBase;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.admin.entity.vo.CameraListVo;
import com.huimv.admin.entity.vo.CameraListsVo;
import com.huimv.admin.entity.vo.CameraVo;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author author
 * @since 2023-02-16
 */
public interface ICameraBaseService extends IService<CameraBase> {

    Result listPage(CameraListVo cameraListVo);

    List getCameraDetails(CameraListsVo cameraListsVo);

    List getByAreaId(Integer areaId);

    Result updateStatus(Integer id);

    Result add(CameraBase camera);

    Result updates(CameraBase camera);

    CameraVo getCameraDetailsByRoomId(Integer roomId);

//    Result initCamera(Integer farmId, Integer userId);

    Result listScreenCamera(Integer farmId);

//    Result screenCamera(Integer farmId);

    List getCameraDetails2(CameraListsVo cameraListsVo);

}
